%global modname pymdown-extensions

Name:           python-%{modname}
Version:        10.12
Release:        1%{?dist}.4
Summary:        Extensions for Python Markdown
License:        MIT
URL:            https://github.com/facelessuser/pymdown-extensions
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Extensions for Python Markdown.}

%description %_description

%package -n python3-%{modname}
Summary:        %{summary}

%description -n python3-%{modname} %_description

%prep
%autosetup -p1 -n %{modname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files -l pymdownx

%files -n python3-%{modname} -f %{pyproject_files}
%doc README.md SECURITY.md
%license LICENSE.md
%changelog
* Thu Nov 14 2024 Oleg Girko <ol@infoserver.lv> - 10.12-1
- Initial package
